<?php
declare(strict_types=1);

namespace App\Entity\Product;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ORM\Entity]
class EquipmentComposition
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'equipmentComposition')]
    #[ORM\JoinColumn(nullable: false)]
    private Equipment $parent;
    /**
     * @var Equipment
     */
    #[ORM\ManyToOne]
    #[ORM\JoinColumn(nullable: false)]
    private Equipment $children;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getParent(): ?Equipment
    {
        return $this->parent;
    }

    public function setParent(?Equipment $parent): self
    {
        $this->parent = $parent;

        return $this;
    }

    public function getChildren(): ?Equipment
    {
        return $this->children;
    }

    public function setChildren(?Equipment $children): self
    {
        $this->children = $children;

        return $this;
    }
}